<template>
	<StackLayout class="fab-item" :backgroundColor="color" @tap="tapbtn">
		<!-- <Label :text="title" horizontalAlignment="center" /> -->
    
    <Label :class="iconset" :text="title | fonticon"
                    verticalAlignment="center" horizontalAlignment="center"
                    iosOverflowSafeArea="false" />
	</StackLayout>
</template>

<script>
	export default {
  props: { title: String, color: String, iconset: String },
  methods: {
    tapbtn() {
      this.$emit('tapped')
    }
  }
}

</script>

<style scoped>
	.fab-item {
		height: 40;
		width: 40;
		border-radius: 20;
		color: #fff;
		font-weight: bold;
    vertical-align: center;
	}
</style>